
```█▀█ █░█ █ █▀▀ █▄▀   ▄▀█ █▀▀ █▀▀ █▀▀ █▀ █▀```
```▀▀█ █▄█ █ █▄▄ █░█   █▀█ █▄▄ █▄▄ ██▄ ▄█ ▄█```
# Quick access to a server 
# with VMmanager 6 or DCImanager 6 installed

Allows you to quickly and in one line get access to the server using the generated platform administrator key.

- Safe
- Reliable
- No hassle

## Features

- It finds a guaranteed administrator itself
- Generates a link for authorization
- The container is very small Alpine based
- Once accessed, the container and image will be deleted
- There is error handling if access cannot be obtained

## Tech:
>You need a companion script gogoCHAD that initiates the download and deployment of the container.

Environment variables are used as input for container:
| ENV | VM6 | DCI6 |
| ------ | ------ |------ |
| PLATFORM | vm   |dci    |
| CLIENT_HOST |ip  |ip    |


## Run manualy:
> If you send a chain of commands through a secure server:
> Use the full path to the executable Go server does not pass $PATH
>
```sh 
/usr/bin/docker run
/usr/bin/docker image pull
/usr/bin/docker image rm
```

### `VMmanager 6:`
```sh
/usr/bin/docker run \
    --network=vm_vm_box_net \  # connect to vm_box network
    -e CLIENT_HOST=$address \  # server ip or domain name
    -e PLATFORM=vm \  # need to use correct DB
    --mount type=bind,source=/root,target=/app/host \  #  mount root home dir to put get-logs.sh
    --mount type=bind,source=/opt/ispsystem/vm/config.json,target=/app/config.json,readonly \  #  read db password
    --rm mois3y/isp_support:0.0.2  # image with script with version tag
```

### `DCImanager 6:`
```sh
/usr/bin/docker run \
    --network=dci_auth \  # connect to dci_auth network
    -e CLIENT_HOST=$address \  # server ip or domain name
    -e PLATFORM=dci \  # need to use correct DB
    --mount type=bind,source=/root,target=/app/host \  #  mount root home dir to put get-logs.sh
    --mount type=bind,source=/opt/ispsystem/dci/config.json,target=/app/config.json,readonly \  #  read db password
    --rm mois3y/isp_support:0.0.2  # image with script with version tag
```



## License

GNU GPL 3.0
